Bug 738746

Summary: Review Request: rubygem-coffee-script-source - The CoffeeScript Compiler
Product: [Fedora] Fedora Reporter: Fotios Lindiakos <fotios>
Component: Package ReviewAssignee: Bohuslav "Slavek" Kabrda <bkabrda>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: bkabrda, jkeck, notting, package-review, vondruch
Target Milestone: ---Flags: bkabrda: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-07-16 11:36:35 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 738742    

Description Fotios Lindiakos 2011-09-15 13:31:56 EDT
Spec URL: https://raw.github.com/fotioslindiakos/rubygem-all/master/SPECS/rubygem-coffee-script-source.spec

SRPM URL: https://github.com/fotioslindiakos/rubygem-all/raw/master/SRPMS/rubygem-coffee-script-source-1.1.2-1.fc15.src.rpm

Description: CoffeeScript is a little language that compiles into JavaScript. Underneath all of those embarrassing braces and semicolons,
JavaScript has always had a gorgeous object model at its heart.
CoffeeScript is an attempt to expose the good parts of JavaScript
in a simple way.
Comment 1 Bohuslav "Slavek" Kabrda 2012-01-30 07:42:52 EST
I'll take this one.
Comment 2 Bohuslav "Slavek" Kabrda 2012-01-30 07:56:36 EST
- Please update to the latest upstream version (currently 1.2.0).
- Consider excluding cached gem. This is only used with "gem pristine" command, which is irrelevant for RPM gems, as they should be restored by "yum reinstall".

* You probably haven't noticed, but we are moving to Ruby 1.9.3 in rawhide, which involves some changes to the gem packaging - see [1] for new guidelines draft. Some information can be found on Ruby-sig fedora mailing list [2] (you should subscribe to that one, if you haven't already).
* Currently, we only build new packages for Ruby 1.9.3 in its special target f17-ruby (again, all the info is is [2]).
* I suggest you update to the latest version, then we can sort out any leftovers and I can also help you with the new-style packaging. The package looks good, so I think it shouldn't be a problem.


[1] https://fedoraproject.org/wiki/PackagingDrafts/Ruby
[2] http://lists.fedoraproject.org/pipermail/ruby-sig/2012-January/000805.html
Comment 3 Fotios Lindiakos 2012-01-30 10:08:30 EST
Thanks for picking this up! I'll look over those suggestions and update the package to the newest version.
Comment 4 Bohuslav "Slavek" Kabrda 2012-02-27 02:37:26 EST
Hi Fotios, any progress on this one? It is a requirement for Rails 3.2 stack, which we would like to get to Rawhide ASAP, so we can have enough time to fix all the things it will break.
Comment 5 Fotios Lindiakos 2012-02-27 11:55:52 EST
Sorry, fell onto the back burner. I'm doing it right now, I'll update when I have a new package for the latest version built against the new guidelines
Comment 6 Fotios Lindiakos 2012-02-28 09:47:58 EST
Updated the package to build against rawhide and Ruby 1.9.1. Links to updated files are included. I also successfully build the package in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3827994

SPEC: https://raw.github.com/fotioslindiakos/rubygem-all/master/SPECS/rubygem-coffee-script-source.spec

SRPM: https://github.com/fotioslindiakos/rubygem-all/raw/master/SRPMS/rubygem-coffee-script-source-1.2.0-1.fc16.src.rpm
Comment 7 Bohuslav "Slavek" Kabrda 2012-02-29 02:07:02 EST
- Please bump the release when doing changes (you can use rpmdev-bumpspec) - or if you are updating to newer version, you still need to add a changelog entry, that notes it.
- According to [1], you can use the new macros for gem files and directories. The only thing you need to do is define %gem_name, then you will have %gem_instdir, %gem_cache, etc... Also, you should now have BR: rubygems-devel instead of BR: ruby(rubygems) (the runtime dependency however stays on ruby(rubygems) ).
- If there are tests available in the upstream, that are not present in the gem itself, it a good custom to run them. You can see rubygem-delorean as an example how to do that (you have to check them out from git separately in the correct version and add them as another source).

[1] https://fedoraproject.org/wiki/PackagingDrafts/Ruby#Macros
Comment 8 Fotios Lindiakos 2012-02-29 10:44:31 EST
Ok, followed your suggestions and here is a new package (note: SPEC is the same location because it's controlled via git)
SPEC: https://raw.github.com/fotioslindiakos/rubygem-all/master/SPECS/rubygem-coffee-script-source.spec 
SRPM: https://github.com/fotioslindiakos/rubygem-all/raw/master/SRPMS/rubygem-coffee-script-source-1.2.0-2.fc16.src.rpm
KOJI: http://koji.fedoraproject.org/koji/taskinfo?taskID=3840346

As for tests, there are tests upstream under the coffee-script package (which includes this source package and a js runtime), but they can't be run without additional dependencies. IMHO, since this source package, installing a javascript runtime just for running the tests would defeat the purpose of having a package with no deps. But this is my first package, so if that is a common thing to do, let me know, I'd be happy to take care of it.
Comment 9 Bohuslav "Slavek" Kabrda 2012-03-01 01:30:18 EST
(In reply to comment #8)
> Ok, followed your suggestions and here is a new package (note: SPEC is the same
> location because it's controlled via git)
> SPEC:
> https://raw.github.com/fotioslindiakos/rubygem-all/master/SPECS/rubygem-coffee-script-source.spec 
> SRPM:
> https://github.com/fotioslindiakos/rubygem-all/raw/master/SRPMS/rubygem-coffee-script-source-1.2.0-2.fc16.src.rpm
> KOJI: http://koji.fedoraproject.org/koji/taskinfo?taskID=3840346
> 
> As for tests, there are tests upstream under the coffee-script package (which
> includes this source package and a js runtime), but they can't be run without
> additional dependencies. IMHO, since this source package, installing a
> javascript runtime just for running the tests would defeat the purpose of
> having a package with no deps. But this is my first package, so if that is a
> common thing to do, let me know, I'd be happy to take care of it.

Well, my idea is, that you only run tests in Build time, not runtime. That way, you may have many BR:, but runtime requires will stay the same.
Comment 10 Bohuslav "Slavek" Kabrda 2012-03-26 04:58:38 EDT
Hi Fotios, any progress on this? We will need this for new rails in F18, so it would be great to have it ASAP.
Thanks.
Comment 11 Vít Ondruch 2012-07-16 07:33:52 EDT
Hi Slavek,

Since Fotios seems to be busy, I updated his package to the latest coffee-script-source version to keep going forward:

SPEC: http://people.redhat.com/vondruch/rubygem-coffee-script-source.spec
SRPM: http://people.redhat.com/vondruch/rubygem-coffee-script-source-1.3.3-1.fc18.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4243247

Please note that the test suite is not possible to Run. The rubygem-coffee-script is testing this package.

In ideal world, this package should not be needed, since we would have independent coffee-script package, build from source. But that would be hard. Since there is exception for javascript bundling, I would prefer to not dive into this "mess".
Comment 12 Bohuslav "Slavek" Kabrda 2012-07-16 07:40:30 EDT
> In ideal world, this package should not be needed, since we would have
> independent coffee-script package, build from source. But that would be
> hard. Since there is exception for javascript bundling, I would prefer to
> not dive into this "mess".

Agreed.
Not much to review here :) The only thing that comes to my mind is that it might be nice to ask upstream to include a license file in the package, but this is not a blocker. This package is APPROVED.
Comment 13 Vít Ondruch 2012-07-16 07:51:47 EDT
@Slavek: Thank you for the review. I'll consider it :)

https://github.com/jashkenas/coffee-script/issues/2443

@Fotios: I am going to request the git repository. Please ask for co-maintaining  or I am completely fine to hand the package over to you if you like. Just let me know.


New Package SCM Request
=======================
Package Name: rubygem-coffee-script-source
Short Description: The CoffeeScript Compiler
Owners: vondruch
Branches: 
InitialCC:
Comment 14 Jon Ciesla 2012-07-16 11:03:26 EDT
Git done (by process-git-requests).